## sddm 0.21.0

=== debian/changelog ===
sddm (0.21.0-1) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * New upstream release:
    - the D-Bus policy file is installed in /usr now (Closes: #1041237)
  * Update install files.
  * Remove the old /etc/dbus-1/system.d/sddm_org.freedesktop.DisplayManager.conf
    conffile.
  * Disable fixfilepath reproducibility feature, as it triggers build failures
    when enabled.
  * Switch the transitional pkg-config build dependency to pkgconf.
  * Switch the systemd build dependency to systemd-dev (Closes: #1060590);
    note that the libsystemd-dev build dependency is kept, as sddm uses
    libsystemd.
  * Bump Standards-Version to 4.7.0, no change required.
  * Drop the libupower-glib-dev build dependency, no more used.

  [ Atila KOÇ ]
  * Turkish debconf translation update. (Closes: #1032309)

 -- Pino Toscano <pino@debian.org>  Sun, 12 May 2024 12:05:56 +0200
