=== debian/tests/control ===
Tests: main
Depends: @builddeps@
Restrictions: allow-stderr
