=== debian/changelog ===
sddm (0.21.0+git20241213.4a9aa2e-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Unstable, remaining changes:
    - Keep the default-display-manager file logic in sddm.postinst.
    - Update Vcs-* to point to Launchpad instead of Salsa.
    - Make sure sddm.service starts at the correct time.
    - Instead of hardcoding the Breeze theme in, allow ubuntu-theme to be
      used in the same fashion Debian's is.
    - Patch to avoid screen overlap or inset.
    - Patch Xsetup script to use bash. Allows previous patch to actually
      run as it requires arrays.
    - d/rules: Explicitly pass QML_INSTALL_DIR to cmake to fix FTBFS on arm64.
  * Refresh patches.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 24 Dec 2024 20:50:28 -0600

sddm (0.21.0+git20241213.4a9aa2e-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Sddm breaks sddm-theme-breeze versions earlier than 6.x.
  * New upstream git snapshot (0.21.0+git20241213.4a9aa2e). (Closes:
    #1089211, #1088277)
  * Refresh patches.
  * Upstream dropped its debian-specific PAM conf files that we were
    overriding anyway.
  * Add patch to make Maui theme’s background configurable.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 23 Dec 2024 18:54:29 +0100

sddm (0.21.0-6ubuntu1) plucky; urgency=medium

  * Merge from Debian Unstable, remaining changes:
    - Keep the default-display-manager file logic in sddm.postinst.
    - Update Vcs-* to point to Launchpad instead of Salsa.
    - Make sure sddm.service starts at the correct time.
    - Instead of hardcoding the Breeze theme in, allow ubuntu-theme to be
      used in the same fashion Debian's is.
    - Patch to avoid screen overlap or inset.
    - Patch Xsetup script to use bash. Allows previous patch to actually
      run as it requires arrays.
    - d/rules: Explicitly pass QML_INSTALL_DIR to cmake to fix FTBFS on arm64.
  * Use ${qml6:Depends} in binary package depends.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 14 Dec 2024 17:15:52 -0600

sddm (0.21.0-6) unstable; urgency=medium

  * Team upload.
  * Update the recommended virtual keyboard plugin to qt6-virtualkeyboard-plugin

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sat, 14 Dec 2024 23:08:50 +0100

sddm (0.21.0-5) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 24 Nov 2024 23:10:36 +0100

sddm (0.21.0-4ubuntu4) plucky; urgency=medium

  * Drop depreciated qml6-module-qtqml-base depends.

 -- Rik Mills <rikmills@kde.org>  Mon, 09 Dec 2024 15:32:03 +0000

sddm (0.21.0-4ubuntu3) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 08 Dec 2024 18:11:32 -0600

sddm (0.21.0-4ubuntu2) plucky; urgency=medium

  * Revert the login -> login.defs build dependency change, this has not yet
    landed in Ubuntu.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 02 Nov 2024 22:14:35 -0500

sddm (0.21.0-4ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental, remaining changes:
    - Keep the default-display-manager file logic in sddm.postinst.
    - Update Vcs-* to point to Launchpad instead of Salsa.
    - Make sure sddm.service starts at the correct time.
    - Instead of hardcoding the Breeze theme in, allow ubuntu-theme to be
      used in the same fashion Debian's is.
    - Patch to avoid screen overlap or inset.
    - Patch Xsetup script to use bash. Allows previous patch to actually
      run as it requires arrays.
    - d/rules: Explicitly pass QML_INSTALL_DIR to cmake to fix FTBFS on arm64.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 02 Nov 2024 21:24:11 -0500

sddm (0.21.0-4) experimental; urgency=medium

  * Team upload.
  * Drop obsolete reference to example sddm.conf in README.Debian because
    upstream no longer provides a pregenerated example configuration (Closes:
    #911961, #1081684).
  * Add login.defs to Build-Depends because "login" is not part of
    build-essential in trixie, and because login might drop its login.defs
    dependency in forky.  Thanks to Santiago Vila and Chris Hofstaedtler
    (Closes: #1078320).

 -- Nicholas D Steeves <sten@debian.org>  Sun, 20 Oct 2024 20:48:44 -0400

sddm (0.21.0-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * Move qtvirtualkeyboard-plugin from Suggests to Recommends for easier
    login on tablets.
  * Add missing QML dependencies.

 -- Patrick Franz <deltaone@debian.org>  Thu, 05 Sep 2024 18:24:07 +0200

sddm (0.21.0-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Build against Qt6.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 12 Jul 2024 01:00:55 +0200

sddm (0.21.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-Depend on login so cmake can find and see the /etc/login.defs file.
    Just specifying it with -DLOGIN_DEFS_PATH is not enough. (Closes: #1078320)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 20 Oct 2024 19:52:26 +0200

sddm (0.21.0-1ubuntu4) oracular; urgency=medium

  * debian/patches: Drop revert_prefer-wayland-sessions-over-X11.patch

 -- Rik Mills <rikmills@kde.org>  Mon, 09 Sep 2024 06:48:11 +0100

sddm (0.21.0-1ubuntu3) oracular; urgency=medium

  * d/rules: Explicitly pass QML_INSTALL_DIR to cmake to fix FTBFS on
    arm64.

 -- Rik Mills <rikmills@kde.org>  Thu, 15 Aug 2024 10:11:52 +0100

sddm (0.21.0-1ubuntu2) oracular; urgency=medium

  [ Simon Quigley ]
  * Build with Qt 6 instead of Qt 5.

 -- Rik Mills <rikmills@kde.org>  Wed, 03 Jul 2024 09:53:36 -0500

sddm (0.21.0-1ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Keep the default-display-manager file logic in sddm.postinst.
    - Update Vcs-* to point to Launchpad instead of Salsa.
    - Make sure sddm.service starts at the correct time.
    - Instead of hardcoding the Breeze theme in, allow ubuntu-theme to be
      used in the same fashion Debian's is.
    - Revert upstream change prefering wayland sessions.

