=== debian/changelog ===
sddm (0.21.0+git20250131.c2b97dd-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Mark SddmComponents as optional for dh_qmldeps to fix the arch:all
    build. (Closes: 1099481)

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 04 Mar 2025 07:38:00 +0100

sddm (0.21.0+git20250131.c2b97dd-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Rebuild for the qt6-declarative transition.
  * New upstream git snapshot with updated translations
    (0.21.0+git20250131.c2b97dd).
  * Bump Standards-Version to 4.7.2, no change required.
  * Switch to declarative KF6 debhelper build sequence.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 03 Mar 2025 08:37:18 +0100
