=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: sddm
 Section: kde
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: cmake (>= 3.4~),
+               dh-sequence-qmldeps,
                debhelper-compat (= 13),
-               dh-sequence-qmldeps,
                libpam0g-dev,
                libsystemd-dev [linux-any],
                libxau-dev,
                libxcb-xkb-dev,
                libxcb1-dev,
                libxkbcommon-dev,
-               login,
+               login.defs,
                pkgconf,
                python3-docutils,
                qml6-module-qtqml-workerscript,
@@ -22,15 +21,16 @@
                qt6-declarative-dev,
                qt6-tools-dev,
                systemd-dev [linux-any],
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/sddm/sddm
-Vcs-Browser: https://git.launchpad.net/~ubuntu-qt-code/+git/sddm
-Vcs-Git: https://git.launchpad.net/~ubuntu-qt-code/+git/sddm
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/3rdparty/sddm
+Vcs-Git: https://salsa.debian.org/qt-kde-team/3rdparty/sddm.git
 Rules-Requires-Root: no
 
 Package: sddm
 Architecture: any
 Depends: adduser,
+         qml6-module-qtqml-workerscript,
          x11-common,
          xauth,
          xkb-data,
@@ -51,7 +51,9 @@
 
 Package: sddm-theme-debian-elarun
 Architecture: all
-Depends: desktop-base, ${misc:Depends}, ${qml6:Depends}
+Depends: desktop-base,
+         ${misc:Depends},
+         ${qml6:Depends},
 Recommends: sddm,
 Provides: sddm-theme,
 Breaks: sddm (<< ${source:Version}),
@@ -61,7 +63,9 @@
 
 Package: sddm-theme-debian-maui
 Architecture: all
-Depends: desktop-base, ${misc:Depends}, ${qml6:Depends}
+Depends: desktop-base,
+         ${misc:Depends},
+         ${qml6:Depends},
 Recommends: sddm,
 Provides: sddm-theme,
 Breaks: sddm (<< ${source:Version}),
@@ -71,7 +75,8 @@
 
 Package: sddm-theme-elarun
 Architecture: all
-Depends: ${misc:Depends}, ${qml6:Depends}
+Depends: ${misc:Depends},
+         ${qml6:Depends},
 Recommends: sddm,
 Provides: sddm-theme,
 Breaks: sddm (<< ${source:Version}),
@@ -80,7 +85,8 @@
 
 Package: sddm-theme-maldives
 Architecture: all
-Depends: ${misc:Depends}, ${qml6:Depends}
+Depends: ${misc:Depends},
+         ${qml6:Depends},
 Breaks: sddm (<< ${source:Version}),
 Recommends: sddm,
 Provides: sddm-theme,
@@ -89,7 +95,8 @@
 
 Package: sddm-theme-maui
 Architecture: all
-Depends: ${misc:Depends}, ${qml6:Depends}
+Depends: ${misc:Depends},
+         ${qml6:Depends},
 Recommends: sddm,
 Provides: sddm-theme,
 Breaks: sddm (<< ${source:Version}),
@@ -98,7 +105,8 @@
 
 Package: sddm-theme-maya
 Architecture: all
-Depends: ${misc:Depends}, ${qml6:Depends}
+Depends: ${misc:Depends},
+         ${qml6:Depends},
 Recommends: sddm,
 Provides: sddm-theme,
 Breaks: sddm (<< ${source:Version}),
