=== debian/changelog ===
sddm (0.21.0+git20250502.4fe234b-2ubuntu2) resolute; urgency=medium

  * Drop xorg/x11 depends again.

 -- Rik Mills <rikmills@kde.org>  Mon, 03 Nov 2025 07:35:05 +0000

sddm (0.21.0+git20250502.4fe234b-2ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Keep the default-display-manager file logic in sddm.postinst.
    - Update Vcs-* to point to Launchpad instead of Salsa.
    - Make sure sddm.service starts at the correct time.
    - Instead of hardcoding the Breeze theme in, allow ubuntu-theme to be
      used in the same fashion Debian's is.
    - Patch to avoid screen overlap or inset.
    - Patch Xsetup script to use bash. Allows previous patch to actually
      run as it requires arrays.
    - d/rules: Explicitly pass QML_INSTALL_DIR to cmake to fix FTBFS on arm64.

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Aug 2025 12:13:25 +0100

sddm (0.21.0+git20250502.4fe234b-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Stop recommending qt6-virtualkeyboard-plugin, it makes non-
    virtualkeyboard aware themes unable to hide the virtual keyboard
    which causes issues for all SDDM themes but KDE’s breeze. Instead
    sddm-theme-breeze and sddm-theme-debian-breeze that can handle this
    correctly were added that recommends in plasma-desktop 4:6.3.6-1. (Closes:
    #1095604)

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 21 Jul 2025 08:57:40 +0200

sddm (0.21.0+git20250502.4fe234b-1ubuntu1) questing; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - Keep the default-display-manager file logic in sddm.postinst.
    - Update Vcs-* to point to Launchpad instead of Salsa.
    - Make sure sddm.service starts at the correct time.
    - Instead of hardcoding the Breeze theme in, allow ubuntu-theme to be
      used in the same fashion Debian's is.
    - Patch to avoid screen overlap or inset.
    - Patch Xsetup script to use bash. Allows previous patch to actually
      run as it requires arrays.
    - d/rules: Explicitly pass QML_INSTALL_DIR to cmake to fix FTBFS on arm64.

 -- Rik Mills <rikmills@kde.org>  Sun, 15 Jun 2025 09:20:49 +0100

sddm (0.21.0+git20250502.4fe234b-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream git snapshot (0.21.0+git20250502.4fe234b).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 03 May 2025 20:32:40 +0200

sddm (0.21.0+git20241213.4a9aa2e-1ubuntu2) plucky; urgency=medium

  * Bump Standards-Version to 4.7.1, no changes needed.
  * Drop several Xorg Depends, these should be picked up elsewhere if truly
    needed.
  * Add a basic autopkgtest.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 21 Feb 2025 21:57:11 -0600
