=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,9 @@
 	    -DSESSION_COMMAND="/etc/sddm/Xsession" \
 	    -DWAYLAND_SESSION_COMMAND="/etc/sddm/wayland-session" \
 	    -DBUILD_MAN_PAGES=ON \
-	    -DDBUS_CONFIG_FILENAME="sddm_org.freedesktop.DisplayManager.conf"
+	    -DDBUS_CONFIG_FILENAME="sddm_org.freedesktop.DisplayManager.conf" \
+	    -DBUILD_WITH_QT6=ON \
+	    -DQML_INSTALL_DIR=/usr/lib/${DEB_HOST_MULTIARCH}/qt6/qml
 
 ifneq ($(DEB_HOST_ARCH_OS),linux)
   SDDM_CMAKE_ARGS += -DNO_SYSTEMD=ON -DENABLE_JOURNALD=OFF
